/*
 *
 * Classes and id
 *
 *
*/

/*  Bootstrap
-----------------------------------------------------------------------------*/

.row-no-padding {
  [class*="col-"] {
    padding-left: 0 !important;
    padding-right: 0 !important;
  }
}

.alert{
    font-size: $font-size-large;
}

/*  Propias
-----------------------------------------------------------------------------*/
.info-events,
.info-speakers{
    @extend .list-unstyled;
}

.info-events{
    font-family: $headings-font-family;
}

.entry-title{
    text-transform: uppercase;
    @media (min-width: $grid-float-breakpoint){
        font-size: $font-size-enormous;
    }
}

.ds-social{
    margin: .75rem 0 1.5rem;
    text-align: center;
    @media (min-width: $screen-sm){
        text-align: inherit;
    }
    .icomoon{
        font-size: 4.5rem;
        &:hover, &:focus, &:active{
            text-decoration: none;
        }
    }
}

.nav-links{
    @extend .pager;
    font-size: $font-size-small;
    margin-top: 6rem;
    padding: 1.5rem;
    background-color: $gray-lighter;
    div{
        a{
            &:hover, &:focus, &:active{
                text-decoration: none;
            }
            &:before, &:after{
                font-family: 'icomoon';
            }
        }
    }
    > div:nth-child(1) {
        @extend .previous;
        a:before{
            content: '\ea38';
            margin-right: .75rem;
        }
    }
    > div:nth-child(2) {
        @extend .next;
        a:after{
            content: '\ea34';
            margin-left: .75rem;
        }
    }
}

.ds-check{
    padding-top: 3rem;
    padding-bottom: 3rem;
    @media (min-width: $grid-float-breakpoint){
        padding-top: 6rem;
        padding-bottom: 6rem;
    }
    .ds-programme a,
    .ds-register a{
        &:hover, &:hover, &:focus{
            text-decoration: none;
        }
        display: block;
        height: 15rem;
        width: 15rem;
        font: normal $font-size-large $headings-font-family;
        @media (min-width: $screen-sm){
            font-size: $font-size-semienormous;
            line-height: 1;
            height: 36rem;
            width: 36rem;
        }
        @media (min-width: $grid-float-breakpoint){
            font-size: $font-size-enormous;
            height: 54rem;
            width: 54rem;
        }
        span{
            display: block;
            width: 50%;
        }
    }
    .ds-programme a{
        background: url('../imgs/programme.svg') no-repeat;
    }
    .ds-register a{
        background: url('../imgs/circle.svg') no-repeat;
        color: $white;
        display: flex;
        justify-content: center;
        align-items: center;
        span{
            width: initial;
            transform: rotate(-45deg);
        }
    }
}

/* google map */
#bg-map{
    margin-top: 3rem;
    @media (min-width: $screen-sm){
        margin-top: 4.5rem;
    }
    #map-canvas {
        height: 18rem;
        @media (min-width: $screen-sm){
            height: 36rem;
        }
        @media (min-width: $grid-float-breakpoint){
            height: 54rem;
        }
    }
}



/*  IDs
-----------------------------------------------------------------------------*/
